Page MenuHomePhabricator

Aggregation for CodeMirror syntax highlighting metrics
Closed, ResolvedPublic2 Estimated Story Points

Description

Aggregate statistics for the syntax highlighting, as specified in T260138: Record baseline statistics about syntax highlighting (CodeMirror) use. This task is complete when the metrics can be accessed from Grafana.

Event Timeline

Lena_WMDE set the point value for this task to 2.Nov 16 2020, 1:07 PM
Andrew-WMDE moved this task from Doing to Sprint Backlog on the WMDE-QWERTY-Sprint-2020-11-18 board.
Andrew-WMDE added a subscriber: Andrew-WMDE.
WMDE-Fisch changed the point value for this task from 2 to 3.Nov 23 2020, 2:52 PM
WMDE-Fisch added a subscriber: WMDE-Fisch.

Increasing story points to take into account that an aggregation from the event data also needs to be happening beforehand.

Change 645345 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[analytics/reportupdater-queries@master] [WIP] Process EventLogging events for CodeMirror

https://gerrit.wikimedia.org/r/645345

awight renamed this task from Set up Grafana board for syntax highlighting (CodeMirror) use to Reportupdater aggregation and Grafana dashboard for CodeMirror syntax highlighting.Dec 8 2020, 8:54 AM
awight claimed this task.
awight removed awight as the assignee of this task.Dec 9 2020, 9:10 AM
awight moved this task from Doing to Demo on the WMDE-QWERTY-Sprint-2020-12-02 board.
awight added a subscriber: awight.

Change 649661 had a related patch set uploaded (by Awight; owner: Awight):
[operations/puppet@production] Add a job for CodeMirror metrics aggregation

https://gerrit.wikimedia.org/r/649661

Change 645345 merged by Mforns:
[analytics/reportupdater-queries@master] Process EventLogging events and tally preferences for CodeMirror

https://gerrit.wikimedia.org/r/645345

We still need to figure out the way to add systemd timers for both hive queries and mysql queries. Some context:

At first, reportupdater only supported mysql queries, that was the use case back then.
At some point we added support for random scripts, that would include hive queries.
But Hive could only be accessed from a different machine than mysql could be accessed.
So, we either had mysql-only query sets, or hive-only query sets.

Now, reportupdater can access both mysql and hive from the same machine, an-launcher1002,
but still security measures are different, because hive needs kerberos auth, while mysql does not.
It might be fine to just setup 1 reportupdater_job systemd timer, but mysql queries could fail if kerberos auth was forced to them.
I will research, ask the team and let you know!

Andrew-WMDE changed the point value for this task from 3 to 2.

Change 649661 merged by Elukey:
[operations/puppet@production] Add a job for CodeMirror metrics aggregation

https://gerrit.wikimedia.org/r/649661

awight renamed this task from Reportupdater aggregation and Grafana dashboard for CodeMirror syntax highlighting to Aggregation for CodeMirror syntax highlighting metrics.Dec 18 2020, 2:41 PM
awight updated the task description. (Show Details)
awight moved this task from Watching to Demo on the WMDE-QWERTY-Sprint-2020-12-16 board.
Lena_WMDE claimed this task.